Rhapsody SWF File Handling Buffer Overflow

High Nessus Plugin ID 21141


The remote Windows application is affected by a buffer overflow flaw.


According to its version number, the installed version of Rhapsody on the remote host suffers from a buffer overflow involving SWF files. To exploit this issue, a remote attacker needs to convince a user to attempt to play a maliciously crafted SWF file using the affected application.


Upgrade to Rhapsody 3 build 1.0.270 or later.

See Also


Plugin Details

Severity: High

ID: 21141

File Name: rhapsody_3_1_0_270.nasl

Version: $Revision: 1.14 $

Type: local

Agent: windows

Family: Windows

Published: 2006/03/24

Modified: 2011/10/06

Dependencies: 18559

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

Required KB Items: SMB/Rhapsody/Version

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2006/03/22

Reference Information

CVE: CVE-2006-0323

BID: 17202

OSVDB: 24061

CWE: 119